io.vertx.ext.json.schema

## Class SchemaRouterOptions

- java.lang.Object
- - io.vertx.ext.json.schema.SchemaRouterOptions

-     public class SchemaRouterOptions
      extends Object

  Represents the options to resolve external schemas. You can configure auth options to access to external services

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaRouterOptions()`
    `SchemaRouterOptions(JsonObject obj)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAuthHeaders()`
    `Map<String,String>` | `getAuthQueryParams()`
    `SchemaRouterOptions` | `putAuthHeader(String headerName, String headerValue)` Put an header to authenticate requests while loading an external schema
    `SchemaRouterOptions` | `putAuthQueryParam(String queryParamName, String queryParamValue)` Put a query parameter to authenticate requests while loading an external schema
    `JsonObject` | `toJson()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaRouterOptions

          public SchemaRouterOptions()

    - #### SchemaRouterOptions

          public SchemaRouterOptions(JsonObject obj)

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

    - #### putAuthHeader

          public SchemaRouterOptions putAuthHeader(String headerName,
                                                   String headerValue)

      Put an header to authenticate requests while loading an external schema
      Parameters:
        `headerName` -
        `headerValue` -
      Returns:

    - #### putAuthQueryParam

          public SchemaRouterOptions putAuthQueryParam(String queryParamName,
                                                       String queryParamValue)

      Put a query parameter to authenticate requests while loading an external schema
      Parameters:
        `queryParamName` -
        `queryParamValue` -
      Returns:

    - #### getAuthQueryParams

          public Map<String,String> getAuthQueryParams()

    - #### getAuthHeaders

          public Map<String,String> getAuthHeaders()

Copyright © 2020 Eclipse. All rights reserved.